<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect2 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../../general.ent">
  %general-entities;

  <!ENTITY hatch-fancy-pypi-readme-download-http "https://files.pythonhosted.org/packages/source/h/hatch-fancy-pypi-readme/hatch_fancy_pypi_readme-&hatch-fancy-pypi-readme-version;.tar.gz">
  <!ENTITY hatch-fancy-pypi-readme-download-ftp  " ">
  <!ENTITY hatch-fancy-pypi-readme-md5sum        "&hatch-fancy-pypi-readme-md5sum;">
  <!ENTITY hatch-fancy-pypi-readme-size          "32 KB">
  <!ENTITY hatch-fancy-pypi-readme-buildsize     "388 KB">
  <!ENTITY hatch-fancy-pypi-readme-time          "less than 0.1 SBU">
]>

  <sect2 id="hatch-fancy-pypi-readme" xreflabel="hatch-fancy-pypi-readme-&hatch-fancy-pypi-readme-version;">

    <title>Hatch-Fancy-Pypi-Readme-&hatch-fancy-pypi-readme-version;</title>

    <indexterm zone="hatch-fancy-pypi-readme">
      <primary sortas="a-hatch-fancy-pypi-readme">hatch-fancy-pypi-readme</primary>
    </indexterm>

    <sect3 role="package">
      <title>Introduction to Hatch-Fancy-Pypi-Readme Module</title>

      <para>
        <application>Hatch-Fancy-Pypi-Readme</application> is a hatch plugin
        filling the readme field into the metadata of a Python module from
        markup language documentation files of the module.
      </para>

      &lfs123_checked;

      <bridgehead renderas="sect4">Package Information</bridgehead>
      <itemizedlist spacing="compact">
        <listitem>
          <para>
            Download (HTTP): <ulink url="&hatch-fancy-pypi-readme-download-http;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download (FTP): <ulink url="&hatch-fancy-pypi-readme-download-ftp;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download MD5 sum: &hatch-fancy-pypi-readme-md5sum;
          </para>
        </listitem>
        <listitem>
          <para>
            Download size: &hatch-fancy-pypi-readme-size;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated disk space required: &hatch-fancy-pypi-readme-buildsize;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated build time: &hatch-fancy-pypi-readme-time;
          </para>
        </listitem>
      </itemizedlist>

      <bridgehead renderas="sect4">Hatch-Fancy-Pypi-Readme Dependencies</bridgehead>

      <bridgehead renderas="sect5">Required</bridgehead>
      <para role="required">
        <xref linkend="hatchling"/>
      </para>

      <bridgehead renderas="sect5">Optional (for testing)</bridgehead>
      <para role="optional">
        <xref linkend="pytest"/> and
        <ulink url="https://pypi.org/project/build/">build</ulink>
      </para>
    </sect3>

    <sect3 role="installation">
      <title>Installation of Hatch-Fancy-Pypi-Readme</title>

    <para>Build the module: </para>

&build-wheel;

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>&install-wheel; hatch-fancy-pypi-readme</userinput></screen>

    <para>
      To test the installation, make sure <xref linkend='pytest'/> is
      installed and run:
    </para>

<screen remap="test"><userinput>python3 -m venv --system-site-packages testenv            &amp;&amp;
testenv/bin/pip3 install 'hatch-fancy-pypi-readme[tests]' &amp;&amp;
testenv/bin/python -m pytest</userinput></screen>

    </sect3>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../../xincludes/pip3-cmd-explain.xml"/>

    <sect3 role="content">
      <title>Contents</title>

      <segmentedlist>
        <segtitle>Installed Programs</segtitle>
        <segtitle>Installed Libraries</segtitle>
        <segtitle>Installed Directories</segtitle>

        <seglistitem>
          <seg>None</seg>
          <seg>None</seg>
          <seg>
            /usr/lib/python&python3-majorver;/site-packages/hatch_fancy_pypi_readme and
            /usr/lib/python&python3-majorver;/site-packages/hatch_fancy_pypi_readme-&hatch-fancy-pypi-readme-version;.dist-info
          </seg>
        </seglistitem>
      </segmentedlist>

    </sect3>

  </sect2>
